# svn_auth_set_parameter

(PECL svn >= 0.1.0)

svn_auth_set_parameter — Establece un parámetro de autenticación

### Descripción

svn_auth_set_parameter(string `$key`, string `$value`): void

Establece un parámetro de autenticación en la clave `key` con el valor `value`. Para obtener una lista de claves válidas y sus significado, consulte la lista de constantes de autenticación.

### Parámetros

`key`

  Nombre de la clave. Utilice una constante de autenticación definidas por esta extensión para especificar una clave.

`value`

  Valor de la cadena a establecer como parámetro en la clave. El formato del valor varía con el n parámetro.

### Valores devueltos

No devuelve ningún valor.

### Notas

Advertencia

Esta función ha sido declarada EXPERIMENTAL. Su funcionamiento, nombre y la documentación que le acompaña puede cambiar sin previo aviso en futuras versiones de PHP. Utilícela bajo su propia responsabilidad.

### Ejemplos

Ejemplo #1 Ejemplo de autenticación por omisión

Este ejemplo configura a SVN para que el nombre de usuario por omisión sea 'Bob' y la contraseña por omisión sea 'abc123':

`<?php
svn_auth_set_parameter(SVN_AUTH_PARAM_DEFAULT_USERNAME, 'Bob');
svn_auth_set_parameter(SVN_AUTH_PARAM_DEFAULT_PASSWORD, 'abc123');
?>`

### Ver también

- svn_auth_get_parameter() - Recupera un parámetros de autenticación
- Constantes de autenticación